---
title: Delete a participant
---

[Skip to content](#_top)

[API Reference](https://developers.cloudflare.com/api/go)

[Realtime Kit](https://developers.cloudflare.com/api/go/resources/realtime_kit)

[Meetings](https://developers.cloudflare.com/api/go/resources/realtime_kit/subresources/meetings)

Copy Markdown

Open in **Claude**Open in **ChatGPT**Open in **Cursor**

---

**Copy Markdown****View as Markdown**

# Delete a participant

client.RealtimeKit.Meetings.DeleteMeetingParticipant(ctx, appID, meetingID, participantID, body) (\*[MeetingDeleteMeetingParticipantResponse](<https://developers.cloudflare.com/api/go/resources/realtime_kit#(resource)%20realtime_kit.meetings%20%3E%20(model)%20MeetingDeleteMeetingParticipantResponse%20%3E%20(schema)>), error)

DELETE/accounts/{account\_id}/realtime/kit/{app\_id}/meetings/{meeting\_id}/participants/{participant\_id}

Deletes a participant for the given meeting and participant ID.

##### Security

API Token

The preferred authorization scheme for interacting with the Cloudflare API. [Create a token](https://developers.cloudflare.com/fundamentals/api/get-started/create-token/).

**Example:**`Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY`

##### Accepted Permissions (at least one required)

`Realtime Admin``Realtime`

##### ParametersExpand Collapse

appID string

The app identifier tag.

[Link to this property](<#(resource)%20realtime_kit.meetings%20%3E%20(method)%20delete_meeting_participant%20%3E%20(params)%20default%20%3E%20(param)%20app_id%20%3E%20(schema)>)

meetingID string

formatuuid

[Link to this property](<#(resource)%20realtime_kit.meetings%20%3E%20(method)%20delete_meeting_participant%20%3E%20(params)%20default%20%3E%20(param)%20meeting_id%20%3E%20(schema)>)

participantID string

[Link to this property](<#(resource)%20realtime_kit.meetings%20%3E%20(method)%20delete_meeting_participant%20%3E%20(params)%20default%20%3E%20(param)%20participant_id%20%3E%20(schema)>)

<details>

<summary>

body MeetingDeleteMeetingParticipantParams

</summary>

AccountID param.Field\[string]

The account identifier tag.

maxLength32

<a href="#(resource)%20realtime_kit.meetings%20%3E%20(method)%20delete_meeting_participant%20%3E%20(params)%20default%20%3E%20(param)%20account_id">Link to this property</a>

</details>

[Link to this property](<#(resource)%20realtime_kit.meetings%20%3E%20(method)%20delete_meeting_participant%20%3E%20(params)%20default>)

##### ReturnsExpand Collapse

<details>

<summary>

type MeetingDeleteMeetingParticipantResponse struct{…}

</summary>

Success bool

Success status of the operation

<a href="#(resource)%20realtime_kit.meetings%20%3E%20(model)%20MeetingDeleteMeetingParticipantResponse%20%3E%20(schema)%20%3E%20(property)%20success">Link to this property</a>

<details>

<summary>

Data MeetingDeleteMeetingParticipantResponseDataOptional

Data returned by the operation

</summary>

CreatedAt Time

Timestamp this object was created at. The time is returned in ISO format.

formatdate-time

<a href="#(resource)%20realtime_kit.meetings%20%3E%20(model)%20MeetingDeleteMeetingParticipantResponse%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20created_at">Link to this property</a>

CustomParticipantID string

A unique participant ID generated by the client.

<a href="#(resource)%20realtime_kit.meetings%20%3E%20(model)%20MeetingDeleteMeetingParticipantResponse%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20custom_participant_id">Link to this property</a>

PresetID string

ID of the preset applied to this participant.

formatuuid

<a href="#(resource)%20realtime_kit.meetings%20%3E%20(model)%20MeetingDeleteMeetingParticipantResponse%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20preset_id">Link to this property</a>

UpdatedAt Time

Timestamp this object was updated at. The time is returned in ISO format.

formatdate-time

<a href="#(resource)%20realtime_kit.meetings%20%3E%20(model)%20MeetingDeleteMeetingParticipantResponse%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20updated_at">Link to this property</a>

</details>

<a href="#(resource)%20realtime_kit.meetings%20%3E%20(model)%20MeetingDeleteMeetingParticipantResponse%20%3E%20(schema)%20%3E%20(property)%20data">Link to this property</a>

</details>

[Link to this property](<#(resource)%20realtime_kit.meetings%20%3E%20(model)%20MeetingDeleteMeetingParticipantResponse%20%3E%20(schema)>)

### Delete a participant

Go

HTTPTypeScriptPythonGoTerraform

```
package main

import (
  "context"
  "fmt"

  "github.com/cloudflare/cloudflare-go"
  "github.com/cloudflare/cloudflare-go/option"
  "github.com/cloudflare/cloudflare-go/realtime_kit"
)

func main() {
  client := cloudflare.NewClient(
    option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"),
  )
  response, err := client.RealtimeKit.Meetings.DeleteMeetingParticipant(
    context.TODO(),
    "14a396e7-ca44-4937-bf1f-050a69118543",
    "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
    "participant_id",
    realtime_kit.MeetingDeleteMeetingParticipantParams{
      AccountID: cloudflare.F("023e105f4ecef8ad9ca31a8372d0c353"),
    },
  )
  if err != nil {
    panic(err.Error())
  }
  fmt.Printf("%+v\n", response.Success)
}
```

200 example

```
{
  "success": true,
  "data": {
    "created_at": "2019-12-27T18:11:19.117Z",
    "custom_participant_id": "custom_participant_id",
    "preset_id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
    "updated_at": "2019-12-27T18:11:19.117Z"
  }
}
```

##### Returns Examples

200 example

```
{
  "success": true,
  "data": {
    "created_at": "2019-12-27T18:11:19.117Z",
    "custom_participant_id": "custom_participant_id",
    "preset_id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
    "updated_at": "2019-12-27T18:11:19.117Z"
  }
}
```